#include "Win32WicInterface.h"

#include <wincodec.h>

Win32WicInterface::Win32WicInterface()
{
    mIsValid = SUCCEEDED(::CoCreateInstance(CLSID_WICImagingFactory, NULL, CLSCTX_INPROC_SERVER, IID_PPV_ARGS(&mImagingFactory)));
}

IWICImagingFactory* Win32WicInterface::getFactory() const
{
    return mImagingFactory.Get();
}